GNU bug report logs - #28392
26.0.50; gdb-mi runs into error with tramp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Zhongwei Yao <ashi08104@HIDDEN>; merged with #44151; dated Fri, 8 Sep 2017 14:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28392 <at> debbugs.gnu.org:


Received: (at 28392) by debbugs.gnu.org; 30 Nov 2020 11:48:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 30 06:48:40 2020
Received: from localhost ([127.0.0.1]:53881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjhfc-0000EM-NX
	for submit <at> debbugs.gnu.org; Mon, 30 Nov 2020 06:48:40 -0500
Received: from mout.gmx.net ([212.227.15.19]:34599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kjhfa-0000E6-DB
 for 28392 <at> debbugs.gnu.org; Mon, 30 Nov 2020 06:48:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606736912;
 bh=lAKhcpuHIAbU5zfpNsNGgHQ7FPWsCrrZWCn4yoV94K4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jeFcfudKrz2Lf1JimKjBHME1XaqrCFyb8g5VTFVi2kOn8QVxiK4scu3CjsNTTrfsS
 FsLQ8GXJUe0018aIUAqQ3UhLj6f9Umblnz5qxLjuB5q25ewKp+501VtU9kafLzgxMX
 H31bctyEo2hKsRwhcv9aXpcXoUZHvtzghGyupUME=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.158.180]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mn2aD-1kIvVX06dT-00k4VY; Mon, 30
 Nov 2020 12:48:32 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28392: 26.0.50; gdb-mi runs into error with tramp
References: <CAJnfWeHrYW2ULW8eApfULW+1VbBTYt=v8qE4RNJ-Qun7jCNHxw@HIDDEN>
 <87h7p7cdt4.fsf@HIDDEN>
Date: Mon, 30 Nov 2020 12:48:31 +0100
In-Reply-To: <87h7p7cdt4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 30 Nov 2020 11:57:27 +0100")
Message-ID: <87k0u33w1c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:++MOKuBMC6hPxWUMfY0AQBHioolQpFdktASyXFmVHJFxFWCTwfE
 fP/l413y2UzkPAlT2xZ2NdSnY4fb5xJHLcAucb4AoztlxlLUT93tActHJc8ehp1SPbcnuvv
 7ZUse75Ua3XHCdAQluTVeNJpNqCwCWCqL+ATmMNH4CCsvx/F6CjuWsuiNO6FVhoI+WjtoJi
 pbNLYM2bLQqatKjQ1I8Bw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:gT6afZMExzs=:VvWIXejm6j0Qrh6RpBJaUo
 lWaIqoAKEzv9SC3o6B6g+G4uqBQnSniMu79znNZ7ZwOIFD+T4RBiH4cC85D9FbEm2vbXZx0K9
 S5noYHVZpvIkpoVDg4l2+z3dj2tRKa6s+jvVVw4l2sh0viju8M63bVoMyqVKLnaWXgBgET+FD
 f9gWS3jy1dt7alm/UOFuhsDi/7uxizFDjPm414OefkU3o3EvMi0SK8PVA99ccMaVGVZoMuXaX
 tR/B0PuFw1i/APKMOnELGRVkC39v/2iAPhz/v9wn0CC//7rPXgv+EUyAfYYHMcmoMtudVxQBM
 TkYi1w78IuMWs5Ni9+w9FQZWcuCfB6fwkIAj4DfdMqzt4/3LOSCU61swWdbErr81VpYGMa+QA
 txsXFFtGlYj0xpNazwUayBu1o1xWeEZ1NqWHf4IbYF7/rRTfJlMgRQGv5lI2DsJUklOwPMF2q
 L05dUOteiMOD33yP9lK9v3ALEe0eQ6puZu2ccinQnOE9eHkYVjesa2R0m4rYo5j5DDPV+QBq8
 4Ty1bNhetygWjOsOK1lryT8i/Y0CCeeMouDx2mHWPzk3EsrNmvMKpjvkxEgQZuF+cEcBOTGmk
 kwopUkaF4ZhrYy4+V0W5kJqBUESZewKNHCGMVEMmEXJ6mMknk1QhLQ+w88QWn6FujMqWsl7L9
 hArpyl1oA/dPZbw50V596y2GiXvJDc0gAOmpxAvwxfTuE32ne91jM9dmHPQZyAleCpmON19V1
 X7d+jjfnDH5qBmnckVGxDzzRJbIzSmulnYTPSs9mKLXk0fmZUiWI37jzS1YfbZlNEvyecTczE
 dMqTPYey98pWn0YEpwUMAjWhw2Mr97BZiH59PFYWyHjqlEqHZZ9FTTvUKmtKS7J+hf4trmt65
 gEG6JBj4mGskuVZ88K3w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28392
Cc: 28392 <at> debbugs.gnu.org, Zhongwei Yao <ashi08104@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

Hi,

>> Steps:
>> 1. Open test.c on dev-server in emacs
>> 2. run 'M-x gdb'  gdb -i=mi test_bin and open gdb-many-window mode.
>> 3. In *gud-test* buffer, run: break 7
>> 4. Run: run and gdb stop at line 7
>> 5. Step into line 7
>>
>> But the cursor of source buffer will not move at all. And then emacs become
>> irresponsive after running several step commands. I press Ctrl-G
>> several times
>
> I vaguely remember seeing a bug report about gdb and Tramp, so this may
> or may not have been fixed in the years since this was reported.  Are
> you still seeing this problem in Emacs 28?

Bug#44151. The Tramp part is solved in Emacs' master branch, but there's
still something left for the gdb part. I've merged both bugs.

(Unfortunately, I'm not a gdb-mi.el expert).

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28392; Package emacs. Full text available.
Merged 28392 44151. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28392 <at> debbugs.gnu.org:


Received: (at 28392) by debbugs.gnu.org; 30 Nov 2020 10:57:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 30 05:57:39 2020
Received: from localhost ([127.0.0.1]:53671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjgsE-0006V7-SO
	for submit <at> debbugs.gnu.org; Mon, 30 Nov 2020 05:57:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kjgsD-0006Ur-9v
 for 28392 <at> debbugs.gnu.org; Mon, 30 Nov 2020 05:57:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7mYj3WbZlzMHpvvUadRc8yXpFHKtQ7kfcVu7M9U+wdw=; b=HuazS45cSkqqPglTvPBKgX8lVB
 6nbUVmG2RwxLD40FZuK/KEHrH3L8Sk+FTMlGotFLyC42jsuv1CfL2+SikxDITUXQym8GdNfFm3SWq
 kJwN6vLEaqJf1kNb1Kxn+ZnfmmSKzIyRl2gb7hyCMaa+wWJEwn3NvPs+qwF4UkhYgS3E=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kjgs4-0007xg-So; Mon, 30 Nov 2020 11:57:31 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Zhongwei Yao <ashi08104@HIDDEN>
Subject: Re: bug#28392: 26.0.50; gdb-mi runs into error with tramp
References: <CAJnfWeHrYW2ULW8eApfULW+1VbBTYt=v8qE4RNJ-Qun7jCNHxw@HIDDEN>
X-Now-Playing: Lightning Bolt's _Sonic Citadel_: "Van Halen 2049"
Date: Mon, 30 Nov 2020 11:57:27 +0100
In-Reply-To: <CAJnfWeHrYW2ULW8eApfULW+1VbBTYt=v8qE4RNJ-Qun7jCNHxw@HIDDEN>
 (Zhongwei Yao's message of "Fri, 8 Sep 2017 18:52:48 +0800")
Message-ID: <87h7p7cdt4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Zhongwei Yao <ashi08104@HIDDEN> writes: > Steps: > 1. Open
 test.c on dev-server in emacs > 2. run 'M-x gdb' gdb -i=mi test_bin and open
 gdb-many-window mode. > 3. In *gud-test* buffer, run: break 7 > 4. Run: run
 and gdb stop at line 7 > 5. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28392
Cc: 28392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Zhongwei Yao <ashi08104@HIDDEN> writes:

> Steps:
> 1. Open test.c on dev-server in emacs
> 2. run 'M-x gdb'  gdb -i=mi test_bin and open gdb-many-window mode.
> 3. In *gud-test* buffer, run: break 7
> 4. Run: run and gdb stop at line 7
> 5. Step into line 7
>
> But the cursor of source buffer will not move at all. And then emacs become
> irresponsive after running several step commands. I press Ctrl-G
> several times

(This bug report unfortunately got no response at the time.)

I vaguely remember seeing a bug report about gdb and Tramp, so this may
or may not have been fixed in the years since this was reported.  Are
you still seeing this problem in Emacs 28?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28392; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2017 14:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 08 10:03:05 2017
Received: from localhost ([127.0.0.1]:56086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dqJs8-00036d-BV
	for submit <at> debbugs.gnu.org; Fri, 08 Sep 2017 10:03:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ashi08104@HIDDEN>) id 1dqGuT-00058j-QS
 for submit <at> debbugs.gnu.org; Fri, 08 Sep 2017 06:53:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ashi08104@HIDDEN>) id 1dqGuI-0001Vu-Ep
 for submit <at> debbugs.gnu.org; Fri, 08 Sep 2017 06:53:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47382)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ashi08104@HIDDEN>) id 1dqGuI-0001Vi-Bh
 for submit <at> debbugs.gnu.org; Fri, 08 Sep 2017 06:53:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37903)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ashi08104@HIDDEN>) id 1dqGuB-00019u-ET
 for bug-gnu-emacs@HIDDEN; Fri, 08 Sep 2017 06:53:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ashi08104@HIDDEN>) id 1dqGu4-0001NK-Ti
 for bug-gnu-emacs@HIDDEN; Fri, 08 Sep 2017 06:52:59 -0400
Received: from mail-lf0-x234.google.com ([2a00:1450:4010:c07::234]:36112)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ashi08104@HIDDEN>) id 1dqGu4-0001MR-DP
 for bug-gnu-emacs@HIDDEN; Fri, 08 Sep 2017 06:52:52 -0400
Received: by mail-lf0-x234.google.com with SMTP id m199so4812375lfe.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 08 Sep 2017 03:52:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=x/z7Ljw0GM4WxfqCUbQXzLevHEY9EdWj3q86Nnx7NgA=;
 b=lpbhmYVPyeZ7KfnIwfFuF4tcUGCi6dRYL7lHs/UGJrPJjyrGw0+hLsgHvRGNjaNp3C
 y4l0NphiafkfQkzPg7WPszQvZy2kZ+M8U1GbsahV9S7a1hkPWwlhfvpTFM9mGDU5zwX5
 6aI/dCJWGosmRIGQRB7YKukxyip8SYpVdWtX6hKpyyeahMBqPGiz+uFw79EM70p8cMvF
 vS7LQHirjJ0TI4saYFsYF6rifewqv3qTdKQLwEcFK2c7U7gW5dlU2JQnLkubmB/6mc7r
 nk94AjWnYIeUUUAtH4b+n8FtWFHJarQJK/mASF6PHD661Jp3pFmhaq3jxzVVDEt7zr/Q
 4Jkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=x/z7Ljw0GM4WxfqCUbQXzLevHEY9EdWj3q86Nnx7NgA=;
 b=AO7GZhUzZ2ijBNG43AxouKb2wgRPS3OuSlyVnMrleEfvEWWLH4Q3bj3eLdZufVMUTa
 tGgD0SBQ5iZHks5fr3TbaUcre9jOCucWZHPk9EXFg/x4hK+iGEB1NezYkIuzawJq0T97
 w+HzoF2kfpF8CsI1hXNDSHbRz7BUS78sBzi1u8Rps/sG+Gl1/LX0Hu/t2yhVwHBtCf2b
 LmrPy2HmSRrIzo7qfWaqA82q96Ei2cFQD8EQtEC1nMV7nosE8BcGDqK8+cS7rsvadcVK
 ALlmkq9uhFWjDoMTPZ9K3I2L5ft7Zg5e4As2J8GFtAoMMN3PQS6yxCmzQWCnGnhbcX1e
 +IgA==
X-Gm-Message-State: AHPjjUhE8X29wEcSeiNxktfost8t/5zQKn5M22uxzhJa5yybRVHHa0mN
 PBCQKAs5HiCO+MXliBTAi89BffCvJ9XO27E=
X-Google-Smtp-Source: AOwi7QAySNbSfWovCOw/eWyrgdEdHgIv1OEx3OJz9gyRtM1Lw+sgXcV3xJWpxv4759e3PM++uvvuUg7QSLJ7pmnkoUE=
X-Received: by 10.46.71.72 with SMTP id u69mr752351lja.182.1504867969153; Fri,
 08 Sep 2017 03:52:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.25.42.87 with HTTP; Fri, 8 Sep 2017 03:52:48 -0700 (PDT)
From: Zhongwei Yao <ashi08104@HIDDEN>
Date: Fri, 8 Sep 2017 18:52:48 +0800
Message-ID: <CAJnfWeHrYW2ULW8eApfULW+1VbBTYt=v8qE4RNJ-Qun7jCNHxw@HIDDEN>
Subject: 26.0.50; gdb-mi runs into error with tramp
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="001a11411b84bc3e920558ab60ce"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Sep 2017 10:03:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--001a11411b84bc3e920558ab60ce
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

emacs runs on Mac with tramp . And I have a test project on a remote
machine (dev-sever): /home/xxx/project/test_gdb/. It has a simple file:
test.c. test.c is compiled by gcc with -O0 -g to test_bin.

test.c:
1 int foo(int a, int b) {
2  int c =3D a + b;
3  return c;
4 }
5
6 int main(void) {
7  return foo(3, 4);
8 }

Steps:
1. Open test.c on dev-server in emacs
2. run 'M-x gdb'  gdb -i=3Dmi test_bin and open gdb-many-window mode.
3. In *gud-test* buffer, run: break 7
4. Run: run and gdb stop at line 7
5. Step into line 7

But the cursor of source buffer will not move at all. And then emacs become
irresponsive after running several step commands. I press Ctrl-G several
times. Then it returns error: json-read-string: Bad string format: "doesn't
start with `\"'!"

Here is the backtrace for above error:

Debugger entered--Lisp error: (json-string-format "doesn't start with
`\"'!")
  signal(json-string-format ("doesn't start with `\"'!"))
  json-read-string()
  json-read-object()
  apply(json-read-object nil)
  json-read()
  gdb-json-read-buffer(nil nil)
  gdb-json-partial-output()
  gdb-thread-list-handler-custom()
  gdb-thread-list-handler()
  apply(gdb-thread-list-handler nil)
  (save-current-buffer (set-buffer #<buffer *threads of test*>) (apply
(quote gdb-thread-list-handler) args))
  (with-current-buffer #<buffer *threads of test*> (apply (quote
gdb-thread-list-handler) args))
  (lambda (&rest args) (with-current-buffer #<buffer *threads of test*>
(apply (quote gdb-thread-list-handler) args)))()
  gdb-handle-reply(27)
  gdb-done-or-error("27" done "threads=3D[{id=3D\"1\",target-id=3D\"process
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\""
t)
  gdb-done("27" "threads=3D[{id=3D\"1\",target-id=3D\"process
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\""
t)
  gdbmi-bnf-incomplete-record-result("27" (gdb-done . progressive))
  #[0 "\302\300\301\242\"\207" ["27" ((gdb-done . progressive))
gdbmi-bnf-incomplete-record-result] 3]()
  gdbmi-bnf-result-and-async-record-impl()
  gdbmi-bnf-async-record()
  gdbmi-bnf-out-of-band-record()
  gdbmi-bnf-output()
  gud-gdbmi-marker-filter("27^done,threads=3D[{id=3D\"1\",target-id=3D\"pro=
cess
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\"\n(gdb)
\n28^done,BreakpointTable=3D{nr_rows=3D\"1\",nr_cols=3D\"6\",hdr=3D[{width=
=3D\"7\",alignment=3D\"-1\",col_name=3D\"number\",colhdr=3D\"Num\"},{width=
=3D\"14\",alignment=3D\"-1\",col_name=3D\"type\",colhdr=3D\"Type\"},{width=
=3D\"4\",alignment=3D\"-1\",col_name=3D\"disp\",colhdr=3D\"Disp\"},{width=
=3D\"3\",alignment=3D\"-1\",col_name=3D\"enabled\",colhdr=3D\"Enb\"},{width=
=3D\"18\",alignment=3D\"-1\",col_name=3D\"addr\",colhdr=3D\"Address\"},{wid=
th=3D\"40\",alignment=3D\"2\",col_name=3D\"what\",colhdr=3D\"What\"}],body=
=3D[bkpt=3D{number=3D\"1\",type=3D\"breakpoint\",disp=3D\"keep\",enabled=3D=
\"y\",addr=3D\"0x00000000004004f4\",func=3D\"main\",file=3D\"test.c\",fulln=
ame=3D\"/home/xxx/projects/tests/test_gdb/test.c\",line=3D\"7\",thread-grou=
ps=3D[\"i1\"],times=3D\"1\",original-location=3D\"/home/xxx/projects/tests/=
test_gdb/test.c:7\"}]}\n(gdb)
\n29^done,locals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D\"0\",addr=
=3D\"")
  apply(gud-gdbmi-marker-filter
"27^done,threads=3D[{id=3D\"1\",target-id=3D\"process
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\"\n(gdb)
\n28^done,BreakpointTable=3D{nr_rows=3D\"1\",nr_cols=3D\"6\",hdr=3D[{width=
=3D\"7\",alignment=3D\"-1\",col_name=3D\"number\",colhdr=3D\"Num\"},{width=
=3D\"14\",alignment=3D\"-1\",col_name=3D\"type\",colhdr=3D\"Type\"},{width=
=3D\"4\",alignment=3D\"-1\",col_name=3D\"disp\",colhdr=3D\"Disp\"},{width=
=3D\"3\",alignment=3D\"-1\",col_name=3D\"enabled\",colhdr=3D\"Enb\"},{width=
=3D\"18\",alignment=3D\"-1\",col_name=3D\"addr\",colhdr=3D\"Address\"},{wid=
th=3D\"40\",alignment=3D\"2\",col_name=3D\"what\",colhdr=3D\"What\"}],body=
=3D[bkpt=3D{number=3D\"1\",type=3D\"breakpoint\",disp=3D\"keep\",enabled=3D=
\"y\",addr=3D\"0x00000000004004f4\",func=3D\"main\",file=3D\"test.c\",fulln=
ame=3D\"/home/xxx/projects/tests/test_gdb/test.c\",line=3D\"7\",thread-grou=
ps=3D[\"i1\"],times=3D\"1\",original-location=3D\"/home/xxx/projects/tests/=
test_gdb/test.c:7\"}]}\n(gdb)
\n29^done,locals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D\"0\",addr=
=3D\"")
  gud-marker-filter("27^done,threads=3D[{id=3D\"1\",target-id=3D\"process
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\"\n(gdb)
\n28^done,BreakpointTable=3D{nr_rows=3D\"1\",nr_cols=3D\"6\",hdr=3D[{width=
=3D\"7\",alignment=3D\"-1\",col_name=3D\"number\",colhdr=3D\"Num\"},{width=
=3D\"14\",alignment=3D\"-1\",col_name=3D\"type\",colhdr=3D\"Type\"},{width=
=3D\"4\",alignment=3D\"-1\",col_name=3D\"disp\",colhdr=3D\"Disp\"},{width=
=3D\"3\",alignment=3D\"-1\",col_name=3D\"enabled\",colhdr=3D\"Enb\"},{width=
=3D\"18\",alignment=3D\"-1\",col_name=3D\"addr\",colhdr=3D\"Address\"},{wid=
th=3D\"40\",alignment=3D\"2\",col_name=3D\"what\",colhdr=3D\"What\"}],body=
=3D[bkpt=3D{number=3D\"1\",type=3D\"breakpoint\",disp=3D\"keep\",enabled=3D=
\"y\",addr=3D\"0x00000000004004f4\",func=3D\"main\",file=3D\"test.c\",fulln=
ame=3D\"/home/xxx/projects/tests/test_gdb/test.c\",line=3D\"7\",thread-grou=
ps=3D[\"i1\"],times=3D\"1\",original-location=3D\"/home/xxx/projects/tests/=
test_gdb/test.c:7\"}]}\n(gdb)
\n29^done,locals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D\"0\",addr=
=3D\"")
  gud-filter(#<process gud-test>
"27^done,threads=3D[{id=3D\"1\",target-id=3D\"process
25128\",name=3D\"test\",frame=3D{level=3D\"0\",addr=3D\"0x00000000004004f4\=
",func=3D\"main\",args=3D[],file=3D\"test.c\",fullname=3D\"/home/xxx/projec=
ts/tests/test_gdb/test.c\",line=3D\"7\"},state=3D\"stopped\",core=3D\"24\"}=
],current-thread-id=3D\"1\"\n(gdb)
\n28^done,BreakpointTable=3D{nr_rows=3D\"1\",nr_cols=3D\"6\",hdr=3D[{width=
=3D\"7\",alignment=3D\"-1\",col_name=3D\"number\",colhdr=3D\"Num\"},{width=
=3D\"14\",alignment=3D\"-1\",col_name=3D\"type\",colhdr=3D\"Type\"},{width=
=3D\"4\",alignment=3D\"-1\",col_name=3D\"disp\",colhdr=3D\"Disp\"},{width=
=3D\"3\",alignment=3D\"-1\",col_name=3D\"enabled\",colhdr=3D\"Enb\"},{width=
=3D\"18\",alignment=3D\"-1\",col_name=3D\"addr\",colhdr=3D\"Address\"},{wid=
th=3D\"40\",alignment=3D\"2\",col_name=3D\"what\",colhdr=3D\"What\"}],body=
=3D[bkpt=3D{number=3D\"1\",type=3D\"breakpoint\",disp=3D\"keep\",enabled=3D=
\"y\",addr=3D\"0x00000000004004f4\",func=3D\"main\",file=3D\"test.c\",fulln=
ame=3D\"/home/xxx/projects/tests/test_gdb/test.c\",line=3D\"7\",thread-grou=
ps=3D[\"i1\"],times=3D\"1\",original-location=3D\"/home/xxx/projects/tests/=
test_gdb/test.c:7\"}]}\n(gdb)
\n29^done,locals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D\"0\",addr=
=3D\"")



In GNU Emacs 26.0.50 (build 1, x86_64-apple-darwin13.4.0, NS appkit-1265.21
Version 10.9.5 (Build 13F1911))
 of 2017-06-11 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1504
Recent messages:
Warning: arch-dependent data dir
=E2=80=99/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-sou=
rce/nextstep/Emacs.app/Contents/MacOS/libexec/=E2=80=99:
No such file or directory

For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: Beginning of history; no preceding item
user-error: End of history; no default available
Quit

Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils thingatpt time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 203699 7694)
 (symbols 48 19849 1)
 (miscs 40 71 164)
 (strings 32 18182 5316)
 (string-bytes 1 600826)
 (vectors 16 34880)
 (vector-slots 8 694435 4243)
 (floats 8 49 67)
 (intervals 56 194 0)
 (buffers 976 12))

--001a11411b84bc3e920558ab60ce
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>emacs runs on Mac with tramp . And I have a test proj=
ect on a remote</div><div>machine (dev-sever): /home/xxx/project/test_gdb/.=
 It has a simple file: test.c. test.c is compiled by gcc with -O0 -g to tes=
t_bin.=C2=A0</div><div><br></div><div>test.c:</div><div>1 int foo(int a, in=
t b) {</div><div>2 =C2=A0int c =3D a + b;</div><div>3 =C2=A0return c;</div>=
<div>4 }</div><div>5</div><div>6 int main(void) {</div><div>7 =C2=A0return =
foo(3, 4);</div><div>8 }</div><div><br></div><div>Steps:</div><div>1. Open =
test.c on dev-server in emacs</div><div>2. run &#39;M-x gdb&#39; =C2=A0gdb =
-i=3Dmi test_bin and open gdb-many-window mode.</div><div>3. In *gud-test* =
buffer, run: break 7</div><div>4. Run: run and gdb stop at line 7</div><div=
>5. Step into line 7</div><div><br></div><div>But the cursor of source buff=
er will not move at all. And then emacs become irresponsive after running s=
everal step commands. I press Ctrl-G several times. Then it returns error: =
json-read-string: Bad string format: &quot;doesn&#39;t start with `\&quot;&=
#39;!&quot;</div><div><br></div><div>Here is the backtrace for above error:=
</div><div><br></div><div>Debugger entered--Lisp error: (json-string-format=
 &quot;doesn&#39;t start with `\&quot;&#39;!&quot;)</div><div>=C2=A0 signal=
(json-string-format (&quot;doesn&#39;t start with `\&quot;&#39;!&quot;))</d=
iv><div>=C2=A0 json-read-string()</div><div>=C2=A0 json-read-object()</div>=
<div>=C2=A0 apply(json-read-object nil)</div><div>=C2=A0 json-read()</div><=
div>=C2=A0 gdb-json-read-buffer(nil nil)</div><div>=C2=A0 gdb-json-partial-=
output()</div><div>=C2=A0 gdb-thread-list-handler-custom()</div><div>=C2=A0=
 gdb-thread-list-handler()</div><div>=C2=A0 apply(gdb-thread-list-handler n=
il)</div><div>=C2=A0 (save-current-buffer (set-buffer #&lt;buffer *threads =
of test*&gt;) (apply (quote gdb-thread-list-handler) args))</div><div>=C2=
=A0 (with-current-buffer #&lt;buffer *threads of test*&gt; (apply (quote gd=
b-thread-list-handler) args))</div><div>=C2=A0 (lambda (&amp;rest args) (wi=
th-current-buffer #&lt;buffer *threads of test*&gt; (apply (quote gdb-threa=
d-list-handler) args)))()</div><div>=C2=A0 gdb-handle-reply(27)</div><div>=
=C2=A0 gdb-done-or-error(&quot;27&quot; done &quot;threads=3D[{id=3D\&quot;=
1\&quot;,target-id=3D\&quot;process 25128\&quot;,name=3D\&quot;test\&quot;,=
frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quot;0x00000000004004f4\&quot;,fu=
nc=3D\&quot;main\&quot;,args=3D[],file=3D\&quot;test.c\&quot;,fullname=3D\&=
quot;/home/xxx/projects/tests/test_gdb/test.c\&quot;,line=3D\&quot;7\&quot;=
},state=3D\&quot;stopped\&quot;,core=3D\&quot;24\&quot;}],current-thread-id=
=3D\&quot;1\&quot;&quot; t)</div><div>=C2=A0 gdb-done(&quot;27&quot; &quot;=
threads=3D[{id=3D\&quot;1\&quot;,target-id=3D\&quot;process 25128\&quot;,na=
me=3D\&quot;test\&quot;,frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quot;0x00=
000000004004f4\&quot;,func=3D\&quot;main\&quot;,args=3D[],file=3D\&quot;tes=
t.c\&quot;,fullname=3D\&quot;/home/xxx/projects/tests/test_gdb/test.c\&quot=
;,line=3D\&quot;7\&quot;},state=3D\&quot;stopped\&quot;,core=3D\&quot;24\&q=
uot;}],current-thread-id=3D\&quot;1\&quot;&quot; t)</div><div>=C2=A0 gdbmi-=
bnf-incomplete-record-result(&quot;27&quot; (gdb-done . progressive))</div>=
<div>=C2=A0 #[0 &quot;\302\300\301\242\&quot;\207&quot; [&quot;27&quot; ((g=
db-done . progressive)) gdbmi-bnf-incomplete-record-result] 3]()</div><div>=
=C2=A0 gdbmi-bnf-result-and-async-record-impl()</div><div>=C2=A0 gdbmi-bnf-=
async-record()</div><div>=C2=A0 gdbmi-bnf-out-of-band-record()</div><div>=
=C2=A0 gdbmi-bnf-output()</div><div>=C2=A0 gud-gdbmi-marker-filter(&quot;27=
^done,threads=3D[{id=3D\&quot;1\&quot;,target-id=3D\&quot;process 25128\&qu=
ot;,name=3D\&quot;test\&quot;,frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quo=
t;0x00000000004004f4\&quot;,func=3D\&quot;main\&quot;,args=3D[],file=3D\&qu=
ot;test.c\&quot;,fullname=3D\&quot;/home/xxx/projects/tests/test_gdb/test.c=
\&quot;,line=3D\&quot;7\&quot;},state=3D\&quot;stopped\&quot;,core=3D\&quot=
;24\&quot;}],current-thread-id=3D\&quot;1\&quot;\n(gdb) \n28^done,Breakpoin=
tTable=3D{nr_rows=3D\&quot;1\&quot;,nr_cols=3D\&quot;6\&quot;,hdr=3D[{width=
=3D\&quot;7\&quot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;number\&q=
uot;,colhdr=3D\&quot;Num\&quot;},{width=3D\&quot;14\&quot;,alignment=3D\&qu=
ot;-1\&quot;,col_name=3D\&quot;type\&quot;,colhdr=3D\&quot;Type\&quot;},{wi=
dth=3D\&quot;4\&quot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;disp\&=
quot;,colhdr=3D\&quot;Disp\&quot;},{width=3D\&quot;3\&quot;,alignment=3D\&q=
uot;-1\&quot;,col_name=3D\&quot;enabled\&quot;,colhdr=3D\&quot;Enb\&quot;},=
{width=3D\&quot;18\&quot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;ad=
dr\&quot;,colhdr=3D\&quot;Address\&quot;},{width=3D\&quot;40\&quot;,alignme=
nt=3D\&quot;2\&quot;,col_name=3D\&quot;what\&quot;,colhdr=3D\&quot;What\&qu=
ot;}],body=3D[bkpt=3D{number=3D\&quot;1\&quot;,type=3D\&quot;breakpoint\&qu=
ot;,disp=3D\&quot;keep\&quot;,enabled=3D\&quot;y\&quot;,addr=3D\&quot;0x000=
00000004004f4\&quot;,func=3D\&quot;main\&quot;,file=3D\&quot;test.c\&quot;,=
fullname=3D\&quot;/home/xxx/projects/tests/test_gdb/test.c\&quot;,line=3D\&=
quot;7\&quot;,thread-groups=3D[\&quot;i1\&quot;],times=3D\&quot;1\&quot;,or=
iginal-location=3D\&quot;/home/xxx/projects/tests/test_gdb/test.c:7\&quot;}=
]}\n(gdb) \n29^done,locals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D=
\&quot;0\&quot;,addr=3D\&quot;&quot;)</div><div>=C2=A0 apply(gud-gdbmi-mark=
er-filter &quot;27^done,threads=3D[{id=3D\&quot;1\&quot;,target-id=3D\&quot=
;process 25128\&quot;,name=3D\&quot;test\&quot;,frame=3D{level=3D\&quot;0\&=
quot;,addr=3D\&quot;0x00000000004004f4\&quot;,func=3D\&quot;main\&quot;,arg=
s=3D[],file=3D\&quot;test.c\&quot;,fullname=3D\&quot;/home/xxx/projects/tes=
ts/test_gdb/test.c\&quot;,line=3D\&quot;7\&quot;},state=3D\&quot;stopped\&q=
uot;,core=3D\&quot;24\&quot;}],current-thread-id=3D\&quot;1\&quot;\n(gdb) \=
n28^done,BreakpointTable=3D{nr_rows=3D\&quot;1\&quot;,nr_cols=3D\&quot;6\&q=
uot;,hdr=3D[{width=3D\&quot;7\&quot;,alignment=3D\&quot;-1\&quot;,col_name=
=3D\&quot;number\&quot;,colhdr=3D\&quot;Num\&quot;},{width=3D\&quot;14\&quo=
t;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;type\&quot;,colhdr=3D\&qu=
ot;Type\&quot;},{width=3D\&quot;4\&quot;,alignment=3D\&quot;-1\&quot;,col_n=
ame=3D\&quot;disp\&quot;,colhdr=3D\&quot;Disp\&quot;},{width=3D\&quot;3\&qu=
ot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;enabled\&quot;,colhdr=3D=
\&quot;Enb\&quot;},{width=3D\&quot;18\&quot;,alignment=3D\&quot;-1\&quot;,c=
ol_name=3D\&quot;addr\&quot;,colhdr=3D\&quot;Address\&quot;},{width=3D\&quo=
t;40\&quot;,alignment=3D\&quot;2\&quot;,col_name=3D\&quot;what\&quot;,colhd=
r=3D\&quot;What\&quot;}],body=3D[bkpt=3D{number=3D\&quot;1\&quot;,type=3D\&=
quot;breakpoint\&quot;,disp=3D\&quot;keep\&quot;,enabled=3D\&quot;y\&quot;,=
addr=3D\&quot;0x00000000004004f4\&quot;,func=3D\&quot;main\&quot;,file=3D\&=
quot;test.c\&quot;,fullname=3D\&quot;/home/xxx/projects/tests/test_gdb/test=
.c\&quot;,line=3D\&quot;7\&quot;,thread-groups=3D[\&quot;i1\&quot;],times=
=3D\&quot;1\&quot;,original-location=3D\&quot;/home/xxx/projects/tests/test=
_gdb/test.c:7\&quot;}]}\n(gdb) \n29^done,locals=3D[]\n(gdb) \n30^done,stack=
=3D[frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quot;&quot;)</div><div>=C2=A0=
 gud-marker-filter(&quot;27^done,threads=3D[{id=3D\&quot;1\&quot;,target-id=
=3D\&quot;process 25128\&quot;,name=3D\&quot;test\&quot;,frame=3D{level=3D\=
&quot;0\&quot;,addr=3D\&quot;0x00000000004004f4\&quot;,func=3D\&quot;main\&=
quot;,args=3D[],file=3D\&quot;test.c\&quot;,fullname=3D\&quot;/home/xxx/pro=
jects/tests/test_gdb/test.c\&quot;,line=3D\&quot;7\&quot;},state=3D\&quot;s=
topped\&quot;,core=3D\&quot;24\&quot;}],current-thread-id=3D\&quot;1\&quot;=
\n(gdb) \n28^done,BreakpointTable=3D{nr_rows=3D\&quot;1\&quot;,nr_cols=3D\&=
quot;6\&quot;,hdr=3D[{width=3D\&quot;7\&quot;,alignment=3D\&quot;-1\&quot;,=
col_name=3D\&quot;number\&quot;,colhdr=3D\&quot;Num\&quot;},{width=3D\&quot=
;14\&quot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;type\&quot;,colhd=
r=3D\&quot;Type\&quot;},{width=3D\&quot;4\&quot;,alignment=3D\&quot;-1\&quo=
t;,col_name=3D\&quot;disp\&quot;,colhdr=3D\&quot;Disp\&quot;},{width=3D\&qu=
ot;3\&quot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;enabled\&quot;,c=
olhdr=3D\&quot;Enb\&quot;},{width=3D\&quot;18\&quot;,alignment=3D\&quot;-1\=
&quot;,col_name=3D\&quot;addr\&quot;,colhdr=3D\&quot;Address\&quot;},{width=
=3D\&quot;40\&quot;,alignment=3D\&quot;2\&quot;,col_name=3D\&quot;what\&quo=
t;,colhdr=3D\&quot;What\&quot;}],body=3D[bkpt=3D{number=3D\&quot;1\&quot;,t=
ype=3D\&quot;breakpoint\&quot;,disp=3D\&quot;keep\&quot;,enabled=3D\&quot;y=
\&quot;,addr=3D\&quot;0x00000000004004f4\&quot;,func=3D\&quot;main\&quot;,f=
ile=3D\&quot;test.c\&quot;,fullname=3D\&quot;/home/xxx/projects/tests/test_=
gdb/test.c\&quot;,line=3D\&quot;7\&quot;,thread-groups=3D[\&quot;i1\&quot;]=
,times=3D\&quot;1\&quot;,original-location=3D\&quot;/home/xxx/projects/test=
s/test_gdb/test.c:7\&quot;}]}\n(gdb) \n29^done,locals=3D[]\n(gdb) \n30^done=
,stack=3D[frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quot;&quot;)</div><div>=
=C2=A0 gud-filter(#&lt;process gud-test&gt; &quot;27^done,threads=3D[{id=3D=
\&quot;1\&quot;,target-id=3D\&quot;process 25128\&quot;,name=3D\&quot;test\=
&quot;,frame=3D{level=3D\&quot;0\&quot;,addr=3D\&quot;0x00000000004004f4\&q=
uot;,func=3D\&quot;main\&quot;,args=3D[],file=3D\&quot;test.c\&quot;,fullna=
me=3D\&quot;/home/xxx/projects/tests/test_gdb/test.c\&quot;,line=3D\&quot;7=
\&quot;},state=3D\&quot;stopped\&quot;,core=3D\&quot;24\&quot;}],current-th=
read-id=3D\&quot;1\&quot;\n(gdb) \n28^done,BreakpointTable=3D{nr_rows=3D\&q=
uot;1\&quot;,nr_cols=3D\&quot;6\&quot;,hdr=3D[{width=3D\&quot;7\&quot;,alig=
nment=3D\&quot;-1\&quot;,col_name=3D\&quot;number\&quot;,colhdr=3D\&quot;Nu=
m\&quot;},{width=3D\&quot;14\&quot;,alignment=3D\&quot;-1\&quot;,col_name=
=3D\&quot;type\&quot;,colhdr=3D\&quot;Type\&quot;},{width=3D\&quot;4\&quot;=
,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;disp\&quot;,colhdr=3D\&quot=
;Disp\&quot;},{width=3D\&quot;3\&quot;,alignment=3D\&quot;-1\&quot;,col_nam=
e=3D\&quot;enabled\&quot;,colhdr=3D\&quot;Enb\&quot;},{width=3D\&quot;18\&q=
uot;,alignment=3D\&quot;-1\&quot;,col_name=3D\&quot;addr\&quot;,colhdr=3D\&=
quot;Address\&quot;},{width=3D\&quot;40\&quot;,alignment=3D\&quot;2\&quot;,=
col_name=3D\&quot;what\&quot;,colhdr=3D\&quot;What\&quot;}],body=3D[bkpt=3D=
{number=3D\&quot;1\&quot;,type=3D\&quot;breakpoint\&quot;,disp=3D\&quot;kee=
p\&quot;,enabled=3D\&quot;y\&quot;,addr=3D\&quot;0x00000000004004f4\&quot;,=
func=3D\&quot;main\&quot;,file=3D\&quot;test.c\&quot;,fullname=3D\&quot;/ho=
me/xxx/projects/tests/test_gdb/test.c\&quot;,line=3D\&quot;7\&quot;,thread-=
groups=3D[\&quot;i1\&quot;],times=3D\&quot;1\&quot;,original-location=3D\&q=
uot;/home/xxx/projects/tests/test_gdb/test.c:7\&quot;}]}\n(gdb) \n29^done,l=
ocals=3D[]\n(gdb) \n30^done,stack=3D[frame=3D{level=3D\&quot;0\&quot;,addr=
=3D\&quot;&quot;)</div><div><br></div><div><br></div><div><br></div><div>In=
 GNU Emacs 26.0.50 (build 1, x86_64-apple-darwin13.4.0, NS appkit-1265.21 V=
ersion 10.9.5 (Build 13F1911))</div><div>=C2=A0of 2017-06-11 built on build=
er10-9.local</div><div>Windowing system distributor &#39;Apple&#39;, versio=
n 10.3.1504</div><div>Recent messages:</div><div>Warning: arch-dependent da=
ta dir =E2=80=99/Users/build/workspace/Emacs-Multi-Build/label/mavericks/em=
acs-source/nextstep/Emacs.app/Contents/MacOS/libexec/=E2=80=99: No such fil=
e or directory</div><div><br></div><div>For information about GNU Emacs and=
 the GNU system, type C-h C-a.</div><div>user-error: Beginning of history; =
no preceding item</div><div>user-error: End of history; no default availabl=
e</div><div>Quit</div><div><br></div><div>Configured using:</div><div>=C2=
=A0&#39;configure --with-ns &#39;--enable-locallisppath=3D/Library/Applicat=
ion</div><div>=C2=A0Support/Emacs/${version}/site-lisp:/Library/Application=
</div><div>=C2=A0Support/Emacs/site-lisp&#39; --with-modules&#39;</div><div=
><br></div><div>Configured features:</div><div>NOTIFY ACL GNUTLS LIBXML2 ZL=
IB TOOLKIT_SCROLL_BARS NS MODULES</div><div><br></div><div>Important settin=
gs:</div><div>=C2=A0 value of $LC_ALL: en_US.UTF-8</div><div>=C2=A0 value o=
f $LANG: en_US.UTF-8</div><div>=C2=A0 locale-coding-system: utf-8-unix</div=
><div><br></div><div>Major mode: Fundamental</div><div><br></div><div>Minor=
 modes in effect:</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 global-=
eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=A0 mou=
se-wheel-mode: t</div><div>=C2=A0 tool-bar-mode: t</div><div>=C2=A0 menu-ba=
r-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div><div>=C2=A0 global=
-font-lock-mode: t</div><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 a=
uto-composition-mode: t</div><div>=C2=A0 auto-encryption-mode: t</div><div>=
=C2=A0 auto-compression-mode: t</div><div>=C2=A0 buffer-read-only: t</div><=
div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-mark-mode: t</div=
><div><br></div><div>Load-path shadows:</div><div>None found.</div><div><br=
></div><div>Features:</div><div>(shadow sort mail-extr emacsbug message sub=
r-x puny seq byte-opt gv</div><div>bytecomp byte-compile cconv cl-loaddefs =
cl-lib dired dired-loaddefs</div><div>format-spec rfc822 mml easymenu mml-s=
ec password-cache epa derived epg</div><div>epg-config gnus-util rmail rmai=
l-loaddefs mm-decode mm-bodies mm-encode</div><div>mail-parse rfc2231 maila=
bbrev gmm-utils mailheader sendmail rfc2047</div><div>rfc2045 ietf-drums mm=
-util mail-prsvr mail-utils thingatpt time-date</div><div>tooltip eldoc ele=
ctric uniquify ediff-hook vc-hooks lisp-float-type</div><div>mwheel term/ns=
-win ns-win ucs-normalize mule-util term/common-win</div><div>tool-bar dnd =
fontset image regexp-opt fringe tabulated-list replace</div><div>newcomment=
 text-mode elisp-mode lisp-mode prog-mode register page</div><div>menu-bar =
rfn-eshadow isearch timer select scroll-bar mouse jit-lock</div><div>font-l=
ock syntax facemenu font-core term/tty-colors frame cl-generic</div><div>ch=
am georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao</div>=
<div>korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech</d=
iv><div>european ethiopic indian cyrillic chinese composite charscript char=
prop</div><div>case-table epa-hook jka-cmpr-hook help simple abbrev obarray=
 minibuffer</div><div>cl-preloaded nadvice loaddefs button faces cus-face m=
acroexp files</div><div>text-properties overlay sha1 md5 base64 format env =
code-pages mule</div><div>custom widget hashtable-print-readable backquote =
kqueue cocoa ns</div><div>multi-tty make-network-process emacs)</div><div><=
br></div><div>Memory information:</div><div>((conses 16 203699 7694)</div><=
div>=C2=A0(symbols 48 19849 1)</div><div>=C2=A0(miscs 40 71 164)</div><div>=
=C2=A0(strings 32 18182 5316)</div><div>=C2=A0(string-bytes 1 600826)</div>=
<div>=C2=A0(vectors 16 34880)</div><div>=C2=A0(vector-slots 8 694435 4243)<=
/div><div>=C2=A0(floats 8 49 67)</div><div>=C2=A0(intervals 56 194 0)</div>=
<div>=C2=A0(buffers 976 12))</div><div><br></div></div>

--001a11411b84bc3e920558ab60ce--




Acknowledgement sent to Zhongwei Yao <ashi08104@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28392; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Dec 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.